Forums

Resolved
1 votes
Tonight (02/07/19-03/07/19) the following updated packages are being released:

  • app-base - fix /sbin/nologin not being presented as a shell in the app-shell-extension
  • app-openvpn - add "float" to downloaded config file. Helps if you have multiwan
  • gconsole - add restart on update

All packages released into the Community last week are being pushed into Business and Home.

Delayed

  • app-dynamic-vpn - move the updown scripts to from the global conf file to the individual conns. This allows the Dynamic VPN and Static VPN apps to work at the same time. Also some config tidy-ups. The app is ready and tested. It just needs to be pushed to the repos but this has hit a glitch.

Packages available for testing:

  • clamav - update to 0.101.2 This is a big update and I would like some feedback in this thread
  • app-network - probably not worth testing as there is a pending merge request which may cover some iof the issues found. Also you currently need to have at least two unconfigured interfaces before you can create a bridge interface in the first place. To permanently enable the Add Bridge button, you can change line 74 in /usr/clearos/apps/network/views/ifaces.php to:
    if ($available_interface_count >= 0)
    This is a separate issue.
  • app-storage - more fixes. UI update, formatting and mounting removable drives.

Packages available for testing can be installed with:
yum update --enablerepo=clearos-updates-testing {package-name}

Packages being worked on:

  • app-network - waiting on a code merge
Tuesday, July 02 2019, 06:41 PM
Share this post:
Responses (3)
  • Accepted Answer

    Wednesday, July 03 2019, 08:27 AM - #Permalink
    Resolved
    0 votes
    Digging further:
    [root@ClearOS6_x-h ~]# yum provides /usr/lib64/libvorbis.so.0
    Loaded plugins: clearcenter-marketplace, fastestmirror
    ClearCenter Marketplace: fetching repositories...
    Loading mirror speeds from cached hostfile
    * clearos: mirror2-amsterdam.clearos.com
    * clearos-addons: mirror2-amsterdam.clearos.com
    * clearos-centos: download2.clearsdn.com
    * clearos-centos-updates: download2.clearsdn.com
    * clearos-extras: mirror2-amsterdam.clearos.com
    * clearos-fast-updates: download2.clearsdn.com
    * clearos-updates: mirror2-amsterdam.clearos.com
    * private-clearcenter-dnsthingy: download3.clearsdn.com:80
    * private-clearcenter-dyndns: download1.clearsdn.com:80
    1:libvorbis-1.2.3-4.el6_2.1.x86_64 : The Vorbis General Audio Compression Codec.
    Repo : clearos
    Matched from:
    Filename : /usr/lib64/libvorbis.so.0



    1:libvorbis-1.2.3-5.el6_9.1.x86_64 : The Vorbis General Audio Compression Codec.
    Repo : clearos-centos
    Matched from:
    Filename : /usr/lib64/libvorbis.so.0



    1:libvorbis-1.2.3-5.el6_9.1.x86_64 : The Vorbis General Audio Compression Codec.
    Repo : installed
    Matched from:
    Other : Provides-match: /usr/lib64/libvorbis.so.0



    [root@ClearOS6_x-h ~]# rpm -q --whatprovides /usr/lib64/libvorbis.so.0
    libvorbis-1.2.3-5.el6_9.1.x86_64
    [root@ClearOS6_x-h ~]# rpm -q libvorbis
    libvorbis-1.2.3-5.el6_9.1.x86_64

    It looks like libvorbis-1.2.3-6.el6.x86_64.rpm may be a faulty package, possibly missing install scripts, so no link to /usr/lib64/libvorbis.so.0:
    [root@ClearOS6_x-h ~]# rpm -qp --scripts libvorbis-1.2.3-6.el6.x86_64.rpm
    [root@ClearOS6_x-h ~]# rpm -qp --scripts libvorbis-1.2.3-5.el6_9.1.x86_64.rpm
    postinstall program: /sbin/ldconfig
    postuninstall program: /sbin/ldconfig
    The reply is currently minimized Show
  • Accepted Answer

    Wednesday, July 03 2019, 08:01 AM - #Permalink
    Resolved
    0 votes
    @Dave
    I've had dependency issues with the 6.x update tonight. To get the most of the update through I ran "yum update app-base", then I removed gmp-devel (possibly didn't need to) and then had to run
    yum update --exclude=gcc*,libstdc++,cpp,libvorbis,libgomp,rpm*
    A further "yum clean all && yum update" left more issues. Running:
    yum update --exclude=libvorbis
    Brought further success.

    At this point I am left with one broken update, libvorbis:
    [root@ClearOS6_x-h ~]# yum update
    Loaded plugins: clearcenter-marketplace, fastestmirror
    Setting up Update Process
    ClearCenter Marketplace: fetching repositories...
    Loading mirror speeds from cached hostfile
    * clearos: mirror2-amsterdam.clearos.com
    * clearos-addons: mirror2-amsterdam.clearos.com
    * clearos-centos: download2.clearsdn.com
    * clearos-centos-updates: download2.clearsdn.com
    * clearos-extras: mirror2-amsterdam.clearos.com
    * clearos-fast-updates: download2.clearsdn.com
    * clearos-updates: mirror2-amsterdam.clearos.com
    * private-clearcenter-dnsthingy: download1.clearsdn.com:80
    * private-clearcenter-dyndns: download3.clearsdn.com:80
    Resolving Dependencies
    --> Running transaction check
    ---> Package libvorbis.x86_64 1:1.2.3-5.el6_9.1 will be updated
    --> Processing Dependency: libvorbis.so.0()(64bit) for package: libcanberra-gtk2-0.22-3.el6.x86_64
    --> Processing Dependency: libvorbis.so.0()(64bit) for package: libcanberra-0.22-3.el6.x86_64
    --> Processing Dependency: libvorbis.so.0()(64bit) for package: libsndfile-1.0.20-5.el6.x86_64
    --> Processing Dependency: libvorbisenc.so.2()(64bit) for package: libsndfile-1.0.20-5.el6.x86_64
    --> Processing Dependency: libvorbisfile.so.3()(64bit) for package: libcanberra-gtk2-0.22-3.el6.x86_64
    --> Processing Dependency: libvorbisfile.so.3()(64bit) for package: libcanberra-0.22-3.el6.x86_64
    ---> Package libvorbis.x86_64 1:1.2.3-6.el6 will be an update
    --> Finished Dependency Resolution
    Error: Package: libcanberra-0.22-3.el6.x86_64 (@clearos-centos)
    Requires: libvorbisfile.so.3()(64bit)
    Removing: 1:libvorbis-1.2.3-5.el6_9.1.x86_64 (@clearos-centos-updates)
    libvorbisfile.so.3()(64bit)
    Updated By: 1:libvorbis-1.2.3-6.el6.x86_64 (clearos-updates)
    Not found
    Available: 1:libvorbis-1.2.3-4.el6_2.1.x86_64 (clearos)
    libvorbisfile.so.3()(64bit)
    Error: Package: libcanberra-0.22-3.el6.x86_64 (@clearos-centos)
    Requires: libvorbis.so.0()(64bit)
    Removing: 1:libvorbis-1.2.3-5.el6_9.1.x86_64 (@clearos-centos-updates)
    libvorbis.so.0()(64bit)
    Updated By: 1:libvorbis-1.2.3-6.el6.x86_64 (clearos-updates)
    Not found
    Available: 1:libvorbis-1.2.3-4.el6_2.1.x86_64 (clearos)
    libvorbis.so.0()(64bit)
    Error: Package: libcanberra-gtk2-0.22-3.el6.x86_64 (@clearos-centos)
    Requires: libvorbisfile.so.3()(64bit)
    Removing: 1:libvorbis-1.2.3-5.el6_9.1.x86_64 (@clearos-centos-updates)
    libvorbisfile.so.3()(64bit)
    Updated By: 1:libvorbis-1.2.3-6.el6.x86_64 (clearos-updates)
    Not found
    Available: 1:libvorbis-1.2.3-4.el6_2.1.x86_64 (clearos)
    libvorbisfile.so.3()(64bit)
    Error: Package: libsndfile-1.0.20-5.el6.x86_64 (@anaconda-ClearOSCommunity-201202241531.x86_64/6.2)
    Requires: libvorbis.so.0()(64bit)
    Removing: 1:libvorbis-1.2.3-5.el6_9.1.x86_64 (@clearos-centos-updates)
    libvorbis.so.0()(64bit)
    Updated By: 1:libvorbis-1.2.3-6.el6.x86_64 (clearos-updates)
    Not found
    Available: 1:libvorbis-1.2.3-4.el6_2.1.x86_64 (clearos)
    libvorbis.so.0()(64bit)
    Error: Package: libsndfile-1.0.20-5.el6.x86_64 (@anaconda-ClearOSCommunity-201202241531.x86_64/6.2)
    Requires: libvorbisenc.so.2()(64bit)
    Removing: 1:libvorbis-1.2.3-5.el6_9.1.x86_64 (@clearos-centos-updates)
    libvorbisenc.so.2()(64bit)
    Updated By: 1:libvorbis-1.2.3-6.el6.x86_64 (clearos-updates)
    Not found
    Available: 1:libvorbis-1.2.3-4.el6_2.1.x86_64 (clearos)
    libvorbisenc.so.2()(64bit)
    Error: Package: libcanberra-gtk2-0.22-3.el6.x86_64 (@clearos-centos)
    Requires: libvorbis.so.0()(64bit)
    Removing: 1:libvorbis-1.2.3-5.el6_9.1.x86_64 (@clearos-centos-updates)
    libvorbis.so.0()(64bit)
    Updated By: 1:libvorbis-1.2.3-6.el6.x86_64 (clearos-updates)
    Not found
    Available: 1:libvorbis-1.2.3-4.el6_2.1.x86_64 (clearos)
    libvorbis.so.0()(64bit)
    You could try using --skip-broken to work around the problem
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, July 02 2019, 09:25 PM - #Permalink
    Resolved
    0 votes
    We are also getting ready to push packages for 6 to community. To test these packages now run the following on ClearOS 6:

    yum --enablerepo=clearos-updates-testing update

    This patch includes a kernel but not the most recent upstream. Once this is tested, we will work on the rebuild of the latest 6 and 7 kernels.
    The reply is currently minimized Show
Your Reply